> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Employee Tax Profile

> Returns a legacy employee's current tax profile after verifying the employee belongs to the caller's linked org.

Required scope: `payroll:read`

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-employee-tax-profile
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-employee-tax-profile:
    get:
      operationId: getEmployeeTaxProfile
      summary: Get Employee Tax Profile
      x-toku-required-scope: payroll:read
      description: >-
        Returns a legacy employee's current tax profile after verifying the
        employee belongs to the caller's linked org.


        Required scope: `payroll:read`
      parameters:
        - name: employeeID
          in: query
          required: true
          schema:
            type: integer
            minimum: 1
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetEmployeeTaxProfileResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetEmployeeTaxProfileResponse:
      type: object
      properties:
        taxProfile:
          type:
            - object
            - 'null'
          properties:
            employeeID:
              type: integer
            taxProfileID:
              type: integer
            taxCalculatorVersionID:
              type: integer
            taxCalculatorRegionFilterTargetCellID:
              type: integer
            countryName:
              type: string
            countryTwoLetterName:
              type: string
            countryThreeLetterName:
              type: string
            components:
              type: array
              items:
                type: object
                properties:
                  targetCellID:
                    type: integer
                  value:
                    type: string
                  label:
                    type: string
                  regionFilterKeyWord:
                    type: string
                required:
                  - targetCellID
                  - value
                  - label
          required:
            - employeeID
            - taxProfileID
            - taxCalculatorVersionID
            - countryName
            - countryTwoLetterName
            - countryThreeLetterName
            - components
      required:
        - taxProfile
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
